Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.operations
Class Mod

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.operations.Operation
                  |
                  +--weblogic.apache.xpath.operations.Mod

public class Mod
extends Operation

The 'mod' operation expression executer.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.operations.Operation
`m_left, m_right`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`Mod()`

Method Summary
`double` | `num(XPathContext xctxt)` Evaluate this operation directly to a double.
`XObject` | `operate(XObject left, XObject right)` Apply the operation to two operands, and return the result.

Methods inherited from class weblogic.apache.xpath.operations.Operation
`canTraverseOutsideSubtree, execute, fixupVariables, getLeftOperand, getRightOperand, setLeftRight`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mod

    public Mod()

Method Detail

### operate

    public XObject operate(XObject left,
                           XObject right)
                    throws javax.xml.transform.TransformerException

  Apply the operation to two operands, and return the result.

  Parameters:
    `left` - non-null reference to the evaluated left operand.
    `right` - non-null reference to the evaluated right operand.
  Returns:
    non-null reference to the XObject that represents the result of the operation.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    operate in class Operation

### num

    public double num(XPathContext xctxt)
               throws javax.xml.transform.TransformerException

  Evaluate this operation directly to a double.

  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The result of the operation as a double.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    num in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference